;InnoSetupVersion=5.1.2

[Setup]
AppName=Automaticity
AppVerName=Automaticity 0.2.0
AppId=Automaticity
AppPublisher=maxkat.org
AppPublisherURL=http://www.maxkat.org/
AppSupportURL=http://www.maxkat.org/
AppUpdatesURL=http://www.maxkat.org/
DefaultDirName={pf}\Automaticity
DefaultGroupName=Automaticity
OutputBaseFilename=setup
Compression=lzma
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{sys}\COMCAT.DLL"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver sharedfile 
Source: "{sys}\STDOLE2.TLB"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regtypelib sharedfile 
Source: "{sys}\ASYCFILT.DLL"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace sharedfile 
Source: "{sys}\OLEPRO32.DLL"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver sharedfile 
Source: "{sys}\OLEAUT32.DLL"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver sharedfile 
Source: "{sys}\msvbvm60.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver sharedfile 
Source: "{sys}\DWSPY36.dll"; DestDir: "{sys}"; Flags: regserver sharedfile promptifolder 
Source: "{sys}\DWSHK36.OCX"; DestDir: "{sys}"; Flags: regserver sharedfile promptifolder 
Source: "{sys}\Comdlg32.ocx"; DestDir: "{sys}"; Flags: regserver sharedfile promptifolder 
Source: "{sys}\MSCOMCT2.OCX"; DestDir: "{sys}"; Flags: regserver sharedfile promptifolder 
Source: "{sys}\MSCOMCTL.OCX"; DestDir: "{sys}"; Flags: regserver sharedfile promptifolder 
Source: "{sys}\kinderhook.dll"; DestDir: "{sys}"; Flags: regserver sharedfile promptifolder 
Source: "{sys}\shlink.dll"; DestDir: "{sys}"; Flags: sharedfile promptifolder 
Source: "{app}\Automaticity.exe"; DestDir: "{app}"; Flags: promptifolder 
Source: "{app}\Help\Automaticity Help.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\image002.gif"; DestDir: "{app}\Help"; 
Source: "{app}\license.txt"; DestDir: "{app}"; 

[Run]
Filename: "{app}\Automaticity.exe"; Description: "Launch Automaticity"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Automaticity"; Filename: "{app}\Automaticity.exe"; WorkingDir: "{app}"; 
Name: "{group}\Help"; Filename: "{app}\Help\Automaticity Help.html"; WorkingDir: "{app}\Help"; 
Name: "{group}\Uninstall Automaticity"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\Automaticity"; Filename: "{app}\Automaticity.exe"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
